Subject: [xml2rfc] Referencing "STD" and "BCP" documents
From: [email-masked] (Julian Reschke)
Date: Thu, 23 Oct 2003 20:17:28 +0200

> From: John C Klensin [mailto:[email-masked]]
> Sent: Thursday, October 23, 2003 8:02 PM
> To: Julian Reschke; John C Klensin; Marshall Rose
> Cc: [email-masked]
> Subject: RE: [xml2rfc] Referencing "STD" and "BCP" documents
> 
> 
> 
> 
> --On Thursday, 23 October, 2003 19:42 +0200 Julian Reschke 
> <[email-masked]> wrote:
> 
> > Hm.
> >
> > As long as a STD isn't a document, how do I refer to a
> > specific section in it? Does the concept even exist?
> 
> it does not
> 
> > Doesn't
> > it make more sense to keep referring to immutable snapshots
> > (the RFC documents)?
> 
> It depends.  The problem is more or less the same as the 
> traditional example of a reference to "the weather in 
> Frankfurt".  Sometimes you want the weather on a particular 
> date, in which case a reference to an RFC or RFC-like document 
> would be appropriate.  Sometimes you want a reference to the 
> current version of the weather, in which case a different type 
> of reference is needed.
> 
>     john
> 

OK,

thanks for the clarification.

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760 

From: [email-masked] (John C Klensin)
Date: Thu, 23 Oct 2003 14:01:46 -0400
Subject: [xml2rfc] Referencing "STD" and "BCP" documents
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

--On Thursday, 23 October, 2003 19:42 +0200 Julian Reschke 
<[email-masked]> wrote:

> Hm.
>
> As long as a STD isn't a document, how do I refer to a
> specific section in it? Does the concept even exist?

it does not

> Doesn't
> it make more sense to keep referring to immutable snapshots
> (the RFC documents)?

It depends.  The problem is more or less the same as the 
traditional example of a reference to "the weather in 
Frankfurt".  Sometimes you want the weather on a particular 
date, in which case a reference to an RFC or RFC-like document 
would be appropriate.  Sometimes you want a reference to the 
current version of the weather, in which case a different type 
of reference is needed.

    john

From: [email-masked] (Julian Reschke)
Date: Thu, 23 Oct 2003 19:42:57 +0200
Subject: [xml2rfc] Referencing "STD" and "BCP" documents
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

Hm.

As long as a STD isn't a document, how do I refer to a specific section in
it? Does the concept even exist? Doesn't it make more sense to keep
referring to immutable snapshots (the RFC documents)?

Julian

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

From: [email-masked] (John C Klensin)
Date: Thu, 23 Oct 2003 13:36:55 -0400
Subject: [xml2rfc] Referencing "STD" and "BCP" documents
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

--On Wednesday, 22 October, 2003 21:16 -0700 Marshall Rose 
<[email-masked]> wrote:

>> This is a can of worms, and discussions about it are going on
>> elsewhere, so this is rather more a heads up and suggestion
>> that  the topic be given some thought than a request for a
>> change.
>
> yes, a thorny topic.
>
> perhaps the most direct solution is to do some kind of nesting
> along the lines you suggest, perhaps more like
>
>     <referencegroup anchor='...'>
>
>     <reference> ... </reference>
>         ...
>     <reference> ... </reference>
>     </referencegroup>

yes

> the question is, which of these other reference-like things
> need to be a part of reference group
>
>     title
>     author
>     date
>     area
>     workgroup
>     keyword
>     abstract
>     note
>     seriesInfo
>     annotation
>
> do BCPs/STDs/etc. actually have a title (or any of these)? i
> can see annotation, but that's about it.
>
> am i wrong?

No, you aren't wrong, until one starts to look at the general 
case.  STDs have titles, although, historically, those have just 
been coopted from the first document in the group.  They also 
have dates, although we haven't been good at recording them. 
One could make a case for keyword, area, and workgroup, although 
these are generally inherited from the included documents.

But, while I don't know if it will go anywhere, I've suggested 
separately that the ongoing question of just what RFCs belong to 
an STD could be better solved by actually creating STDs as 
documents: a name and date, an abstract that summarizes the 
subject the STD covers, a list of the relevant RFCs, and a 
change history.  That would still make them compound documents, 
but would change some of the answer above.

    john

From: [email-masked] (Graham Klyne)
Date: Thu, 23 Oct 2003 09:39:10 +0100
Subject: [xml2rfc] Referencing "STD" and "BCP" documents
In-Reply-To: <[email-masked]. ca.us>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

Another related use-case for this might be something like W3C's XML schema, 
for which there are three related documents (for details, see 
http://www.w3.org/XML/Schema#dev)

It's not obvious that this adds any new requirements, but I guess seeing 
similar requirements from diverse sources is useful data.

Another wrinkle to (maybe) consider:  the W3C RDF working group is 
producing a  collection of several documents for which there is an 
acknowledged "series editor".  (cf. 
http://www.w3.org/2001/sw/RDFCore/#documents)

#g
--

At 21:16 22/10/03 -0700, Marshall Rose wrote:
> > This is a can of worms, and discussions about it are going on
> > elsewhere, so this is rather more a heads up and suggestion that
> > the topic be given some thought than a request for a change.
>
>yes, a thorny topic.
>
>perhaps the most direct solution is to do some kind of nesting along the
>lines you suggest, perhaps more like
>
>     <referencegroup anchor='...'>
>
>     <reference> ... </reference>
>         ...
>     <reference> ... </reference>
>     </referencegroup>
>
>the question is, which of these other reference-like things need to be a
>part of reference group
>
>     title
>     author
>     date
>     area
>     workgroup
>     keyword
>     abstract
>     note
>     seriesInfo
>     annotation
>
>do BCPs/STDs/etc. actually have a title (or any of these)? i can see
>annotation, but that's about it.
>
>am i wrong?
>
>/mtr
>_______________________________________________
>xml2rfc mailing list
>[email-masked]
>http://lists.xml.resource.org/mailman/listinfo/xml2rfc

------------
Graham Klyne
For email:
http://www.ninebynine.org/#Contact

From: [email-masked] (Marshall Rose)
Date: Wed, 22 Oct 2003 21:16:46 -0700
Subject: [xml2rfc] Referencing "STD" and "BCP" documents
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> This is a can of worms, and discussions about it are going on 
> elsewhere, so this is rather more a heads up and suggestion that 
> the topic be given some thought than a request for a change.
    
yes, a thorny topic.
    
perhaps the most direct solution is to do some kind of nesting along the
lines you suggest, perhaps more like
    
    <referencegroup anchor='...'>
    
    <reference> ... </reference>
        ...
    <reference> ... </reference>
    </referencegroup>    
    
the question is, which of these other reference-like things need to be a
part of reference group
    
    title
    author
    date
    area
    workgroup
    keyword
    abstract
    note
    seriesInfo
    annotation
    
do BCPs/STDs/etc. actually have a title (or any of these)? i can see
annotation, but that's about it.
    
am i wrong?
    
/mtr

From: [email-masked] (John C Klensin)
Date: Wed, 22 Oct 2003 19:56:24 -0400
Subject: [xml2rfc] Referencing "STD" and "BCP" documents
Message-ID: <[email-masked]>

Hi.

This is a can of worms, and discussions about it are going on 
elsewhere, so this is rather more a heads up and suggestion that 
the topic be given some thought than a request for a change.

Over the years, the RFC Editor (and several authors) have tended 
to prefer references to "STD" and "BCP" documents to references 
to "RFC"s.   The STDs are more complex than the BCP case because 
they  are defined in terms of references to more than one RFCs. 
This raises several issues for xml2rfc:

(1) There is an external library of RFC references, but not one 
for STDs or BCPs.

(2) A full reference to an STD would presumably have to take a 
form like

  <reference anchor="STD0666" >
     <front>
   	<title>Complex Bit-Inversion Protocol</title>
      <author /> <organization />
     </front>
     <seriesInfo name='RFC' value='666' />
     <reference anchor="RFC6666" >
       ...
     </reference>
     <reference anchor="RFC9999" >
       ...
     </reference>
  </reference>

A BCP, or single-RFC STD, would be identical except for the 
additional RFC references.

But that does extreme violence to the DTD: STDs don't have 
authors or organizations, only the underlying RFCs do.  And the 
"reference" element, of course, isn't recursive.

This can more or less be faked by using annotations, but that 
isn't a wonderful idea and prevents convenient use of the XML 
for building automatic cross-reference libraries to the RFCs.

Thoughts?

      john

From: [email-masked] (Fred Templin)
Date: Wed, 22 Oct 2003 13:13:30 -0700
Subject: [xml2rfc] short info + normative refs fill the page
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

I have noticed that in the -21 version of xml2rfc,  setting:

  <?rfc compact='yes'?>

causes list elements to appear "squashed together" rather
than separated by whitespace as in older versions. This
can be fixed by also setting:

  <?rfc subcompact='no'?>

but, I am concerned that setting "subcompact = no" may
be causing more whitespacing than necessary at the end
of sections.

Is there any reason why list elements are now crowded
together when using 'compact', when this was not the
case in the past?

Thanks - Fred
[email-masked]

Marshall Rose wrote:

>>I'd like to be able to specify that it would be fine to start the new 
>>section immediately after the previous section, without a page break.  
>>This would be very useful e.g. when you know you could put both the 
>>sections in one page.
>>    
>>
>
>look at the compact PI option, e.g.,
>    
>    <?rfc compact='yes'?>
>    
>/mtr
>
>ps: you really should subscribe to the mailing list. during busy times, messages
>held in mailman's non-subscriber queue can be significantly delayed.
>_______________________________________________
>xml2rfc mailing list
>[email-masked]
>http://lists.xml.resource.org/mailman/listinfo/xml2rfc
>  
>

From: [email-masked] (Marshall Rose)
Date: Wed, 22 Oct 2003 11:15:58 -0700
Subject: [xml2rfc] how to list editor and authors?
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> In the scenario when there is one or more editors (to be listed in the 
> header of the document, with maybe "Ed." or something) of a document, 
> while the author list is longer (e.g. when >5 authors), xml2rfc doesn't 
> seem to be able to handle the situation, unless I missed something.

if there are editors, use
    
    <author ... role='editor'>
    </author>
    
and other contributors, can be listed in a contributors section in the
back.
    
/mtr

    

From: [email-masked] (Marshall Rose)
Date: Wed, 22 Oct 2003 11:11:50 -0700
Subject: [xml2rfc] short info + normative refs fill the page
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> I'd like to be able to specify that it would be fine to start the new 
> section immediately after the previous section, without a page break.  
> This would be very useful e.g. when you know you could put both the 
> sections in one page.

look at the compact PI option, e.g.,
    
    <?rfc compact='yes'?>
    
/mtr

ps: you really should subscribe to the mailing list. during busy times, messages
held in mailman's non-subscriber queue can be significantly delayed.

From: [email-masked] (Elwyn Davies)
Date: Wed, 22 Oct 2003 18:44:18 +0100
Subject: [xml2rfc] short info + normative refs fill the page
Message-ID: <[email-masked]>

This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

------_=_NextPart_001_01C398C4.1E849726
Content-Type: text/plain

Hi.

Using the directive
<?rfc compact='yes'?>
suppresses the page break at the start of top level sections.

I am not sure if you can switch this flag on and off to change the behaviour
around short sections but leave longer sections with a page break.  Marshall
showed me how to use the 'subcompact' capability to switch between compact
lists (no empty line between entries) and spaced out (sic) lists by setting
and resetting subcompact around the lists.  Suggest you try it and see.

Regards,
Elwyn Davies.

> -----Original Message-----
> From: Pekka Savola [mailto:[email-masked]] 
> Sent: 22 October 2003 17:00
> To: [email-masked]
> Subject: [xml2rfc] short info + normative refs fill the page
> 
> 
> Hi,
> 
> Another problem I noted when I had a short informational and 
> normative 
> references section was that the sections always seem to want 
> to eat the 
> whole page.
> 
> I'd like to be able to specify that it would be fine to start the new 
> section immediately after the previous section, without a 
> page break.  
> This would be very useful e.g. when you know you could put both the 
> sections in one page.
> 
> Does something like this already exist, or did I just miss it?
> 
> -- 
> Pekka Savola                 "You each name yourselves king, yet the
> Netcore Oy                    kingdom bleeds."
> Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> 
> _______________________________________________
> xml2rfc mailing list
> [email-masked]
> http://lists.xml.resource.org/mailman/listinfo/xml2rfc
> 

------_=_NextPart_001_01C398C4.1E849726
Content-Type: text/html
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; =
charset=3Dus-ascii">
<META NAME=3D"Generator" CONTENT=3D"MS Exchange Server version =
5.5.2656.31">
<TITLE>RE: [xml2rfc] short info + normative refs fill the page</TITLE>
</HEAD>
<BODY>

<P><FONT SIZE=3D2>Hi.</FONT>
</P>

<P><FONT SIZE=3D2>Using the directive</FONT>
<BR><FONT SIZE=3D2>&lt;?rfc compact=3D'yes'?&gt;</FONT>
<BR><FONT SIZE=3D2>suppresses the page break at the start of top level =
sections.</FONT>
</P>

<P><FONT SIZE=3D2>I am not sure if you can switch this flag on and off =
to change the behaviour around short sections but leave longer sections =
with a page break.&nbsp; Marshall showed me how to use the 'subcompact' =
capability to switch between compact lists (no empty line between =
entries) and spaced out (sic) lists by setting and resetting subcompact =
around the lists.&nbsp; Suggest you try it and see.</FONT></P>

<P><FONT SIZE=3D2>Regards,</FONT>
<BR><FONT SIZE=3D2>Elwyn Davies.</FONT>
<BR><FONT SIZE=3D2>&nbsp;&nbsp;&nbsp; </FONT>
</P>

<P><FONT SIZE=3D2>&gt; -----Original Message-----</FONT>
<BR><FONT SIZE=3D2>&gt; From: Pekka Savola [<A =
HREF=3D"mailto:[email-masked]">mailto:[email-masked]</A>] </FONT>
<BR><FONT SIZE=3D2>&gt; Sent: 22 October 2003 17:00</FONT>
<BR><FONT SIZE=3D2>&gt; To: [email-masked]</FONT>
<BR><FONT SIZE=3D2>&gt; Subject: [xml2rfc] short info + normative refs =
fill the page</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; Hi,</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; Another problem I noted when I had a short =
informational and </FONT>
<BR><FONT SIZE=3D2>&gt; normative </FONT>
<BR><FONT SIZE=3D2>&gt; references section was that the sections always =
seem to want </FONT>
<BR><FONT SIZE=3D2>&gt; to eat the </FONT>
<BR><FONT SIZE=3D2>&gt; whole page.</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; I'd like to be able to specify that it would be =
fine to start the new </FONT>
<BR><FONT SIZE=3D2>&gt; section immediately after the previous section, =
without a </FONT>
<BR><FONT SIZE=3D2>&gt; page break.&nbsp; </FONT>
<BR><FONT SIZE=3D2>&gt; This would be very useful e.g. when you know =
you could put both the </FONT>
<BR><FONT SIZE=3D2>&gt; sections in one page.</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; Does something like this already exist, or did =
I just miss it?</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; -- </FONT>
<BR><FONT SIZE=3D2>&gt; Pekka =
Savola&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &quot;You each name yourselves king, yet =
the</FONT>
<BR><FONT SIZE=3D2>&gt; Netcore =
Oy&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; kingdom =
bleeds.&quot;</FONT>
<BR><FONT SIZE=3D2>&gt; Systems. Networks. Security. -- George R.R. =
Martin: A Clash of Kings</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; =
_______________________________________________</FONT>
<BR><FONT SIZE=3D2>&gt; xml2rfc mailing list</FONT>
<BR><FONT SIZE=3D2>&gt; [email-masked]</FONT>
<BR><FONT SIZE=3D2>&gt; <A =
HREF=3D"http://lists.xml.resource.org/mailman/listinfo/xml2rfc" =
TARGET=3D"_blank">http://lists.xml.resource.org/mailman/listinfo/xml2rfc=
</A></FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
</P>

</BODY>
</HTML>
------_=_NextPart_001_01C398C4.1E849726--

From: [email-masked] (Pekka Savola)
Date: Wed, 22 Oct 2003 18:59:56 +0300 (EEST)
Subject: [xml2rfc] short info + normative refs fill the page
Message-ID: <[email-masked]>

Hi,

Another problem I noted when I had a short informational and normative 
references section was that the sections always seem to want to eat the 
whole page.

I'd like to be able to specify that it would be fine to start the new 
section immediately after the previous section, without a page break.  
This would be very useful e.g. when you know you could put both the 
sections in one page.

Does something like this already exist, or did I just miss it?

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

From: [email-masked] (Pekka Savola)
Date: Wed, 22 Oct 2003 18:57:20 +0300 (EEST)
Subject: [xml2rfc] how to list editor and authors?
Message-ID: <[email-masked]>

Hi,

In the scenario when there is one or more editors (to be listed in the 
header of the document, with maybe "Ed." or something) of a document, 
while the author list is longer (e.g. when >5 authors), xml2rfc doesn't 
seem to be able to handle the situation, unless I missed something.

There are multiple fixes to this problem:

 - manually define a contributors section, and only list the editors w/ 
<author> tag.  Could be good enough for now.

 - define <editor>, which would result in the generation of a "Editor's 
Address" section, and <author>'s would not be listed at the header or page 
headers if one or more <editor>'s is present.

 - something else equivalently twisted.

.. as this was not mentioned in the archives (well, quick grep didn't 
reveal it), I just wanted raise a potential issue which may or may not 
merit looking into..

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

From: [email-masked] (Randy Bush)
Date: Mon, 20 Oct 2003 05:46:33 -0500
Subject: [xml2rfc] bad ref in html
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

>>     <rfc ipr="full2026" 
>> 	 docName="draft-ymbk-downref-00.txt"
>> 	 updates="2026"
>> 	 >
>> 
>> produces some bad html
>> 
>> <a href='ftp://ftp.isi.edu/in-notes/rfc2026 (if approved).txt'>2026 (if
>> approved)</a>
> what version are you using... i thought this got fixed a long time
> ago...

whatever's in the freebsd ports tree <blush>.  will hack.

randy

From: [email-masked] (Marshall Rose)
Date: Sun, 19 Oct 2003 21:13:52 -0700
Subject: [xml2rfc] bad ref in html
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

>     <rfc ipr="full2026" 
> 	 docName="draft-ymbk-downref-00.txt"
> 	 updates="2026"
> 	 >
> 
> produces some bad html
> 
> <a href='ftp://ftp.isi.edu/in-notes/rfc2026 (if approved).txt'>2026 (if
> approved)</a>
>                                            ^^^^^^^^^^^^^^

what version are you using... i thought this got fixed a long time
ago...
    
/mtr

From: [email-masked] (Marshall Rose)
Date: Sun, 19 Oct 2003 11:05:24 -0700
Subject: [xml2rfc] xml2rfc 1.21 released
Message-ID: <[email-masked]>

corrects the various bugs reported in the last two weeks...

in the absence of a major problem, there will not be another release until after
the next ietf meeting to provide a modicum of stability for last minute I-D
writers...

/mtr

From: [email-masked] (Randy Bush)
Date: Sun, 19 Oct 2003 12:09:16 +0200
Subject: [xml2rfc] bad ref in html
Message-ID: <[email-masked]>

    <rfc ipr="full2026" 
	 docName="draft-ymbk-downref-00.txt"
	 updates="2026"
	 >

produces some bad html

<a href='ftp://ftp.isi.edu/in-notes/rfc2026 (if approved).txt'>2026 (if approved)</a>
                                           ^^^^^^^^^^^^^^

randy

From: [email-masked] (Marshall Rose)
Date: Fri, 17 Oct 2003 14:32:48 -0700
Subject: [xml2rfc] Spacing problem with <figure>
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> If I have:
> 
>     <figure>
>     <preamble>
>     Some text
>     </preamble>
>     <artwork>
> 
> etc. then "Some text" comes out with one additional space at the start of
> the first line only. This isn't intentional, surely?

until i have time to take a look at this, as a quick work-around, try

	<preamble>Some text

/mtr

From: [email-masked] (Marshall Rose)
Date: Fri, 17 Oct 2003 14:27:12 -0700
Subject: [xml2rfc] Missing page
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> http://xml.resource.org/authoring/draft-mrose-writing-rfcs.html#anchor19
> 
> not found, referenced from http://xml.resource.org/authoring/README.html

oops!

fixed.

/mtr

From: [email-masked] (Eric Burger)
Date: Fri, 17 Oct 2003 15:50:48 -0400
Subject: [xml2rfc] Strict Figures don't like Titles in 1.20?
Message-ID: <[email-masked]>

Both.  This error message came from the web-based service.  However, the local copy (1.20) didn't like it, either.

> -----Original Message-----
> From: Marshall Rose [mailto:[email-masked]]
> Sent: Fri, October 17, 2003 1:47 PM
> To: Eric Burger
> Cc: [email-masked]
> Subject: Re: [xml2rfc] Strict Figures don't like Titles in 1.20?
> 
> 
> > However, with <?rfc strict="yes" ?> I get:
> > 
> >      unexpected title attribute in <figure> element around line 25
> > ...
>     
> are you using the web-based service or a local copy?
>     
> /mtr
> 
> 

From: [email-masked] (Henning Schulzrinne)
Date: Fri, 17 Oct 2003 14:03:33 -0400
Subject: [xml2rfc] Missing page
Message-ID: <[email-masked]>

http://xml.resource.org/authoring/draft-mrose-writing-rfcs.html#anchor19

not found, referenced from http://xml.resource.org/authoring/README.html

From: [email-masked] (Marshall Rose)
Date: Fri, 17 Oct 2003 10:47:07 -0700
Subject: [xml2rfc] Strict Figures don't like Titles in 1.20?
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> However, with <?rfc strict="yes" ?> I get:
> 
>      unexpected title attribute in <figure> element around line 25
> ...
    
are you using the web-based service or a local copy?
    
/mtr

From: [email-masked] (Clive D.W. Feather)
Date: Fri, 17 Oct 2003 12:12:03 +0100
Subject: [xml2rfc] Spacing problem with <figure>
Message-ID: <[email-masked]>

If I have:

    <figure>
    <preamble>
    Some text
    </preamble>
    <artwork>

etc. then "Some text" comes out with one additional space at the start of
the first line only. This isn't intentional, surely?

-- 
Clive D.W. Feather  | Work:  <[email-masked]>   | Tel:    +44 20 8495 6138
Internet Expert     | Home:  <[email-masked]>  | *** NOTE CHANGE ***
Demon Internet      | WWW: http://www.davros.org | Fax:    +44 870 051 9937
Thus plc            |                            | Mobile: +44 7973 377646

From: [email-masked] (Eric Burger)
Date: Fri, 17 Oct 2003 06:26:03 -0400
Subject: [xml2rfc] Strict Figures don't like Titles in 1.20?
Message-ID: <[email-masked]>

This is a multi-part message in MIME format.

------_=_NextPart_001_01C39499.11204802
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

The following construction used to work:

		<section title=3D"foo">
			<figure title=3D"bar">
				<artwork>bat</artwork>
			</figure>
		</section>

However, with <?rfc strict=3D"yes" ?> I get:

     unexpected title attribute in <figure> element around line 25

     Syntax:=20
         <rfc ipr=3D"full2026" docName=3D"draft-burger-figuretest-00">
         <middle>
         <section title=3D"foo">
         <figure title=3D"bar">

Checking the DTD, we have:
   <!ELEMENT figure (preamble?, artwork, postamble?)>
   <!ATTLIST figure
	anchor ID #IMPLIED
	title %ATEXT; ""
   >

which should allow "title" to be an attribute of figure.

Attached is a test file.

------_=_NextPart_001_01C39499.11204802
Content-Type: text/xml;
	name="test.xml"
Content-Transfer-Encoding: base64
Content-Description: test.xml
Content-Disposition: attachment;
	filename="test.xml"

------_=_NextPart_001_01C39499.11204802--

From: [email-masked] (Scott Lawrence)
Date: Wed, 15 Oct 2003 16:34:21 -0400
Subject: [xml2rfc] Multiple workgroup elements considered harmful
In-Reply-To: <[email-masked]> (Marshall Rose's message of "Wed, 15 Oct 2003 13:30:27 -0700")
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

>> According to the DTD, zero or more <workgroup> elements are allowed
>> in the <front> The current xml2rfc won't accept that.

Marshall Rose <[email-masked]> writes:

> that's a bug. are you using xml2rfc locally or are you using the web-based
> service.

I'm using it locally, but I did test the web-based service and it gets
the same error.

-- 
Scott Lawrence        
  Pingtel Corp.   

From: [email-masked] (Marshall Rose)
Date: Wed, 15 Oct 2003 13:30:27 -0700
Subject: [xml2rfc] Multiple workgroup elements considered harmful
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> 
> I was trying to regenerate an old draft using version 1.20 of xml2rfc
> and ran across a regression.  According to the DTD, zero or more
> <workgroup> elements are allowed in the <front> - this particular
> draft was reviewed in two, so it had two (and worked that way then -
> it's now rfc2817).  The current xml2rfc won't accept that.  The
> attached stripped-down xml shows the problem.

that's a bug. are you using xml2rfc locally or are you using the web-based
service.

/mtr

From: [email-masked] (Scott Lawrence)
Date: Wed, 15 Oct 2003 14:53:27 -0400
Subject: [xml2rfc] Multiple workgroup elements considered harmful
Message-ID: <[email-masked]>

--=-=-=

I was trying to regenerate an old draft using version 1.20 of xml2rfc
and ran across a regression.  According to the DTD, zero or more
<workgroup> elements are allowed in the <front> - this particular
draft was reviewed in two, so it had two (and worked that way then -
it's now rfc2817).  The current xml2rfc won't accept that.  The
attached stripped-down xml shows the problem.

-- 
Scott Lawrence        
  Pingtel Corp.   

--=-=-=
Content-Type: text/xml
Content-Disposition: attachment; filename=test.xml
Content-Description: fails with a second workgroup element

<?xml version="1.0"?>
<!DOCTYPE rfc SYSTEM "rfc2629.dtd"
    <!ENTITY rfc2119 PUBLIC ""
      "http://xml.resource.org/public/rfc/bibxml/reference.RFC.2119.xml">
>
<?xml-stylesheet type="text/xsl" href="rfc2629.xslt" ?>
<?rfc toc="yes"?>
<?rfc iprnotified="yes" ?>
<?rfc compact="yes"?>
<?rfc strict="yes" ?>

<rfc category="std" ipr="full2026" docName="test.txt">
<front>
<title abbrev="Workgroup*">Multiple Workgroup Elements Considered Harmful</title>

<author initials="S." surname="Lawrence" fullname="Scott Lawrence">
<organization>
Pingtel Corp.
</organization>
<address>
<postal>
<street>400 West Cummings Park</street>
<street>Suite 2200</street>
<city>Woburn</city>
<region>MA</region>
<code>01801</code>
<country>US</country>
</postal>
<phone>+1.781.970.0162</phone>
<email>[email-masked]</email>
<uri>http://www.pingtel.com/</uri>
</address>
</author>

<date day="14" month="October" year="2003"/>

<area>General</area>
<workgroup>XML</workgroup>
<workgroup>Foo</workgroup><!-- commenting out this element makes it work -->
<abstract>
<t>
This shows a problem with multiple workgroup elements.
</t>
</abstract>
</front>

<middle>
<section title="Bug">
<t>
This shows a problem with multiple workgroup elements.
</t>
</section>
<section anchor="security-considerations" title="Security Considerations">
<t>
Gotta have this section...
</t>
</section>
</middle>
<back>
</back>
</rfc>

--=-=-=--

From: [email-masked] (John C Klensin)
Date: Tue, 14 Oct 2003 07:29:03 -0400
Subject: [xml2rfc] Debugging external entity statements
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

I got some offline help from Carl (thanks again).  But ...
Arggh... sorry.
    john

--On Monday, 13 October, 2003 23:40 -0700 Marshall Rose 
<[email-masked]> wrote:

> the problem is right here:
>
>> <!DOCTYPE rfc SYSTEM "rfc2629.dtd">  [
> ------------------------------------^---
>
> you shouldn't have the right-angle bracket. the syntax is
>
>     <!DOCTYPE rfc SYSTEM "rfc2626.dtd" [
>         ...
>     ]>
>
> /mtr

From: [email-masked] (Marshall Rose)
Date: Mon, 13 Oct 2003 23:40:12 -0700
Subject: [xml2rfc] Debugging external entity statements
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

the problem is right here:
    
> <!DOCTYPE rfc SYSTEM "rfc2629.dtd">  [
------------------------------------^---
    
you shouldn't have the right-angle bracket. the syntax is
    
    <!DOCTYPE rfc SYSTEM "rfc2626.dtd" [
        ...
    ]>
    
/mtr

From: [email-masked] (John C Klensin)
Date: Mon, 13 Oct 2003 09:41:44 -0400
Subject: [xml2rfc] Debugging external entity statements
Message-ID: <[email-masked]>

Hi.

I've been trying to convert a long I-D, whose previous drafts 
were prepared in straight ASCII, into XML form.  Doing so 
involved use of external entities for references for the first 
time, for me.  Using the online converter gets me:

	Unable to Convert File
	unexpected text "  &xml:intdtd;>
	
	" in document prolog around line 3
	
The cited string doesn't appear anywhere in the document source, 
so I assume there is a problem in one of the reference files.

The first several lines of the document source are:

--------------------

<?xml version="1.0"?>
<!DOCTYPE rfc SYSTEM "rfc2629.dtd">  [

<!ENTITY rfc3066 PUBLIC '' 
'http://xml.resource.org/public/rfc/bibxml/reference.RFC.3066.xm
l'>
<!ENTITY rfc0882 PUBLIC ''
'http://xml.resource.org/public/rfc/bibxml/reference.RFC.0882.xm
l'>
<!ENTITY rfc0883 PUBLIC ''
'http://xml.resource.org/public/rfc/bibxml/reference.RFC.0883.xm
l'>
<!ENTITY rfc1035 PUBLIC '' 
'http://xml.resource.org/public/rfc/bibxml/reference.RFC.1035.xm
l'>
<!ENTITY rfc2026 PUBLIC ''
'http://xml.resource.org/public/rfc/bibxml/reference.RFC.2026.xm
l'>
<!ENTITY rfc2826 PUBLIC ''
'http://xml.resource.org/public/rfc/bibxml/reference.RFC.2826.xm
l'>
 ...

--------------------

I can (and will start soon) to go through the 18 referenced 
files looking for the problem and will report it if/when I find 
it.  But it would be really helpful to get some sort of 
traceback into the error report, one that gives the writer some 
clue as to where to look for a reported problem.

thanks,
     john

From: [email-masked] (Marshall Rose)
Date: Sat, 11 Oct 2003 06:18:50 -0700
Subject: [xml2rfc] xml2rfc 1.20 bug: numerical entity handling when producing TXT output
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> I think for xml2rfc it's perfectly ok to restrict the support to the ASCII
> character set (<= 127) -- anything else is forbidden in IETF documents
> anyway :-)

presumably you meant 32 <= c <= 126... that sounds reasonable.

/mtr

From: [email-masked] (Julian Reschke)
Date: Fri, 10 Oct 2003 20:13:14 +0200
Subject: [xml2rfc] xml2rfc 1.20 bug: numerical entity handling when producing TXT output
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

I think for xml2rfc it's perfectly ok to restrict the support to the ASCII
character set (<= 127) -- anything else is forbidden in IETF documents
anyway :-)

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

> -----Original Message-----
> From: Marshall Rose [mailto:[email-masked]]
> Sent: Friday, October 10, 2003 8:06 PM
> To: Julian Reschke
> Cc: Alex Rousskov; Julian Reschke; [email-masked]
> Subject: Re: [xml2rfc] xml2rfc 1.20 bug: numerical entity handling when
> producing TXT output
>
>
> > Well, in this case I'd call that a bug. xml2rfc should support what XML
> > supports, in particular the five predefined entities and the numerical
> > syntax as well.
>
> the problem with the latter is determing what the .txt mapping is for
> the various numerical entities...
>
> i will update xml2rfc.tcl so that it recogizes "&#39;" and "&#34;"
>
> /mtr
>

From: [email-masked] (Marshall Rose)
Date: Fri, 10 Oct 2003 11:06:12 -0700
Subject: [xml2rfc] xml2rfc 1.20 bug: numerical entity handling when producing TXT output
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> Well, in this case I'd call that a bug. xml2rfc should support what XML
> supports, in particular the five predefined entities and the numerical
> syntax as well.

the problem with the latter is determing what the .txt mapping is for
the various numerical entities...
    
i will update xml2rfc.tcl so that it recogizes "&#39;" and "&#34;"
    
/mtr

From: [email-masked] (Henrik Levkowetz)
Date: Fri, 10 Oct 2003 18:36:08 +0200
Subject: [xml2rfc] xml2rfc 1.20 bug: xml validator does not permit <figure /> to have attribute 'title', only 'anchor'
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

--Signature=_Fri__10_Oct_2003_18_36_08_+0200_6N2fwWTkd.WfR_xy
Content-Type: text/plain; charset=US-ASCII
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

On Friday, 10 Oct 2003, Marshall wrote:

> > When running xml2rfc on a file with <?rfc strict="yes" ?>,
> > I get the error:
> >  unexpected title attribute in <figure> element around line 322
> 
> that's certainly a bug. it'll be fixed in the next release.
>     
> given your ability to read the code, i imagine you've already patched
> the version on your system. if not, let me know...

Yup, sure have. You don't have to provide a patch, but thanks.

	Henrik

--Signature=_Fri__10_Oct_2003_18_36_08_+0200_6N2fwWTkd.WfR_xy
Content-Type: application/pgp-signature

--Signature=_Fri__10_Oct_2003_18_36_08_+0200_6N2fwWTkd.WfR_xy--

From: [email-masked] (Marshall Rose)
Date: Fri, 10 Oct 2003 09:24:19 -0700
Subject: [xml2rfc] xml2rfc 1.20 bug: xml validator does not permit <figure /> to have attribute 'title', only 'anchor'
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> When running xml2rfc on a file with <?rfc strict="yes" ?>,
> I get the error:
>  unexpected title attribute in <figure> element around line 322

that's certainly a bug. it'll be fixed in the next release.
    
given your ability to read the code, i imagine you've already patched
the version on your system. if not, let me know...
    
/mtr

From: [email-masked] (Julian Reschke)
Date: Fri, 10 Oct 2003 16:33:07 +0200
Subject: [xml2rfc] xml2rfc 1.20 bug: numerical entity handling when producing TXT output
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

Now that you mention it...

Well, in this case I'd call that a bug. xml2rfc should support what XML
supports, in particular the five predefined entities and the numerical
syntax as well.

Julian

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

> -----Original Message-----
> From: Alex Rousskov [mailto:[email-masked]]
> Sent: Friday, October 10, 2003 4:29 PM
> To: Julian Reschke
> Cc: [email-masked]
> Subject: Re: [xml2rfc] xml2rfc 1.20 bug: numerical entity handling when
> producing TXT output
>
>
>
> Isn't it simply because xml2rfc does not support (ignores) _all_
> non-external XML entities except for a few common ones like &amp;?
> Remember we talked about that a month or so ago?
>
> Alex.
>
> --
> Protocol performance and reliability testing.
> http://www.measurement-factory.com/
>
> On Fri, 10 Oct 2003, Julian Reschke wrote:
>
> > For instance,
> >
> > 	<section title="The &#34;caseless&#34; XML attribute">
> >
> > gets converted to
> >
> > 	The &#34;caseless&#34; XML attribute
> >
> > instead of
> >
> > 	The "caseless" XML attribute
> >
> >
> > Julian
> >
> > --
> > <green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760
>

From: [email-masked] (Alex Rousskov)
Date: Fri, 10 Oct 2003 08:29:03 -0600 (MDT)
Subject: [xml2rfc] xml2rfc 1.20 bug: numerical entity handling when producing TXT output
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

Isn't it simply because xml2rfc does not support (ignores) _all_
non-external XML entities except for a few common ones like &amp;?
Remember we talked about that a month or so ago?

Alex.

-- 
Protocol performance and reliability testing.
http://www.measurement-factory.com/

On Fri, 10 Oct 2003, Julian Reschke wrote:

> For instance,
>
> 	<section title="The &#34;caseless&#34; XML attribute">
>
> gets converted to
>
> 	The &#34;caseless&#34; XML attribute
>
> instead of
>
> 	The "caseless" XML attribute
>
>
> Julian
>
> --
> <green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

From: [email-masked] (Julian Reschke)
Date: Fri, 10 Oct 2003 12:46:17 +0200
Subject: [xml2rfc] xml2rfc 1.20 bug: numerical entity handling when producing TXT output
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

For instance,

	<section title="The &#34;caseless&#34; XML attribute">

gets converted to

	The &#34;caseless&#34; XML attribute

instead of

	The "caseless" XML attribute

Julian

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760 

From: [email-masked] (Henrik Levkowetz)
Date: Fri, 10 Oct 2003 12:19:49 +0200
Subject: [xml2rfc] xml2rfc 1.20 bug: xml validator does not permit <figure /> to have attribute 'title', only 'anchor'
Message-ID: <[email-masked]>

--Signature=_Fri__10_Oct_2003_12_19_49_+0200_DOqytTAqY+Uui=Zf
Content-Type: text/plain; charset=US-ASCII
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

When running xml2rfc on a file with <?rfc strict="yes" ?>,
I get the error:
 unexpected title attribute in <figure> element around line 322

and inspection of the tcl code shows that sure, the title element
is not listed as a permitted attribute for the figure element in
the xml validator data structures.

(Without strict, I get my figure titles just fine :-)

	Henrik

--Signature=_Fri__10_Oct_2003_12_19_49_+0200_DOqytTAqY+Uui=Zf
Content-Type: application/pgp-signature

--Signature=_Fri__10_Oct_2003_12_19_49_+0200_DOqytTAqY+Uui=Zf--

From: [email-masked] (Julian Reschke)
Date: Thu, 2 Oct 2003 09:04:24 +0200
Subject: [xml2rfc] Cross-references to items in lists
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of John C Klensin
> Sent: Thursday, October 02, 2003 12:35 AM
> To: [email-masked]
> Subject: [xml2rfc] Cross-references to items in lists
>
>
> Hi.
>
> I've run into a situation in which I need to reference an item
> in a numbered list, e.g.,
>     see item 5 in section 1.2.3
> It appears that there is no way to do this other than to turn
> the list items into subsections.  Is that correct?   If so, am I
> the only one who is slightly unhappy about it?

Syntactically, we already have all we need to get this working -- it would
be "just" a slight extension of the DTD, and obviously a change to existing
implementations:

- allow "anchor" attribute on <t> elements (possibly only those that appear
in lists)
- use <xref target="..." format="counter"/> to refer to it

Drawbacks:

- there doesn't seem to be a meaningful interpretation of the xref element
if it doesn't specify format="counter"
- what to do with anchor elements on <t> when they do not appear in lists

In general, one could allow "anchor" attributes on any element, and then
restrict which ones can be referred to through the various xref variants (of
course the DTD won't be able to specify that). This would have the benefit
that one would be able to specify anchors "everywhere" (keep in mind that
when generating HTML, anchors can/will be used to generate intra-document
link targets).

Julian

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

From: [email-masked] ([email-masked])
Date: Wed, 01 Oct 2003 16:57:17 -0700 (PDT)
Subject: [xml2rfc] Cross-references to items in lists
In-Reply-To: "Your message dated Wed, 01 Oct 2003 18:34:56 -0400" <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> I've run into a situation in which I need to reference an item
> in a numbered list, e.g.,
>     see item 5 in section 1.2.3

> It appears that there is no way to do this other than to turn
> the list items into subsections.  Is that correct?   If so, am I
> the only one who is slightly unhappy about it?

I've wanted to do this a couple of times.

			Ned

From: [email-masked] (John C Klensin)
Date: Wed, 01 Oct 2003 18:34:56 -0400
Subject: [xml2rfc] Cross-references to items in lists
Message-ID: <[email-masked]>

Hi.

I've run into a situation in which I need to reference an item 
in a numbered list, e.g.,
    see item 5 in section 1.2.3
It appears that there is no way to do this other than to turn 
the list items into subsections.  Is that correct?   If so, am I 
the only one who is slightly unhappy about it?

   john

From: [email-masked] (Rosen, Brian)
Date: Wed, 1 Oct 2003 17:10:38 -0400
Subject: [xml2rfc] Text Table horizontal issues
Message-ID: <[email-masked]>

I see in the archive there have been several discussions on
controlling borders, mostly concerned with vertical things.

I have a problem with horizontal.  The current algorithm wants a
space between the separators.  I have a table that doesn't fit
with spaces, but does without them, and looks pretty good.
I'd like to be able to suppress the horizontal spaces around the borders.

Brian